[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# VendorName

Return Application vendor Name

## Declaration

Source position: osutilsh.inc line 43

`function VendorName: string;`

## Description

VendorName returns the application vendor name. In order to set the application vendor name, the OnGetVendorName event must be set, and an appropriate return value must be returned. The Vendor name is used in GetAppConfigDir and GetAppConfigFile to determine the configuration directory.

## Errors

If OnGetVendorName is not set, an empty string is returned.

## See also

OnGetVendorName |  | Vendor name callback
GetAppConfigDir |  | Return the appropriate directory for the application's configuration files.
GetAppConfigFile |  | Return an appropriate name for an application configuration file.

Documentation generated on: Feb 26 2014